Package twisted :: Package im :: Module pbsupport :: Class TwistedWordsGroup

[show private | hide private]
[frames | no frames]

## Class TwistedWordsGroup

    AbstractGroup --+
                    |
                   TwistedWordsGroup

Method Summary
| `__init__(self, name, wordsClient)`
| `__repr__(self)` (inherited from `AbstractGroup`)
| `__str__(self)` (inherited from `AbstractGroup`)
| ``getGroupCommands`(self)` finds group commands (inherited from `AbstractGroup`)
| ``getTargetCommands`(self, target)` finds group commands (inherited from `AbstractGroup`)
| `join(self)` (inherited from `AbstractGroup`)
| `joining(self)`
| `leave(self)`
| `leaving(self)`
| `metadataFailed(self, result, text)`
| ``sendGroupMessage`(self, text, metadata)` Return a deferred.
| `setTopic(self, text)`

Class Variable Summary
`tuple` | `__implements__`

Method Details

### sendGroupMessage(self, text, metadata=None)

Return a deferred.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.im.interfaces.IGroup'>,)

Generated by Epydoc 1.1 on Thu May 8 13:16:26 2003 | http://epydoc.sf.net